Bug 147405 - CAN-2005-0237 homograph spoofing
CAN-2005-0237 homograph spoofing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdebase (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
impact=important,public=20050207
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 16:30 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 05:20:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-07 16:30:07 EST
*** This bug has been split off bug 147397 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.07
16:07 -------

The Shmoo Group has discovered a homograph attack in a number of web browsers:
http://www.shmoo.com/idn/

This issue allows an attacker supply a domain name that looks like a common
name, but is an International Domain Name.  This issue would allow various
attacks to steal information from an unsuspecting vitim.
Comment 1 Josh Bressers 2005-02-07 16:31:03 EST
Upstream is tracking this issue here:
http://bugs.kde.org/show_bug.cgi?id=98788
Comment 2 Ngo Than 2005-03-17 13:47:11 EST
it's now fixed in kdelibs-3.3.1-3.6. it's built in dist-4E-errata-candidate tree.
Comment 3 Mark J. Cox (Product Security) 2005-03-23 05:20:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-325.html

Note You need to log in before you can comment on or make changes to this bug.